org.apache.hadoop.yarn.server.nodemanager

## Class NodeManager.DefaultContainerStateListener

- java.lang.Object
- - org.apache.hadoop.yarn.state.MultiStateTransitionListener<ContainerImpl,ContainerEvent,ContainerState>
  - - org.apache.hadoop.yarn.server.nodemanager.NodeManager.DefaultContainerStateListener

- All Implemented Interfaces:
    ContainerStateTransitionListener, org.apache.hadoop.yarn.state.StateTransitionListener<ContainerImpl,ContainerEvent,ContainerState>
  Enclosing class:
    NodeManager

      public static class NodeManager.DefaultContainerStateListener
      extends org.apache.hadoop.yarn.state.MultiStateTransitionListener<ContainerImpl,ContainerEvent,ContainerState>
      implements ContainerStateTransitionListener

  Default Container State transition listener.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultContainerStateListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(Context context)` Init method which will be invoked by the Node Manager to inject the NM `Context`.

    - ### Methods inherited from class org.apache.hadoop.yarn.state.MultiStateTransitionListener

      `addListener, postTransition, preTransition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.yarn.state.StateTransitionListener

      `postTransition, preTransition`

- - ### Constructor Detail

    - #### DefaultContainerStateListener

          public DefaultContainerStateListener()

  - ### Method Detail

    - #### init

          public void init(Context context)

      Description copied from interface: `ContainerStateTransitionListener`
      Init method which will be invoked by the Node Manager to inject the NM `Context`.
      Specified by:
        `init` in interface `ContainerStateTransitionListener`
      Parameters:
        `context` - NM Context.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.